<?php
/**
 * The template for displaying author archive pages.
 *
 * @package Bloggo
 */

get_header(); ?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<?php if ( have_posts() ) : ?>
				<header class="page-header">
					<?php
					/*
					 * Queue the first post, that way we know what author
					 * we're dealing with (if that is the case).
					 */
					the_post();
					if ( get_the_author_meta( 'description' ) ) :
					?>
					<div class="author-box">
						<div class="author-info">
							<div class="author-avatar">
								<?php echo get_avatar( get_the_author_meta( 'user_email' ), 100 ); ?>
							</div><!-- .author-avatar -->
							<div class="author-details">
								<h1 class="author-title"><?php printf( esc_html__( 'About %s', 'bloggo' ), get_the_author() ); ?></h1>
								<p class="author-bio"><?php the_author_meta( 'description' ); ?></p>
								<?php if ( get_the_author_meta( 'url' ) ) : ?>
								<span class="author-website"><span class="fa-link" aria-hidden="true"></span> <a href="<?php echo esc_url( get_the_author_meta( 'url' ) ); ?>" target="_blank"><?php the_author_meta( 'url' ); ?></a></span>
								<?php endif; ?>
								<span class="author-stats"><span class="fa-chart-bar" aria-hidden="true"></span> <?php
									$author_posts = count_user_posts( get_the_author_meta( 'ID' ) );
									printf( esc_html( _n( '%d post', '%d posts', $author_posts, 'bloggo' ) ), number_format_i18n( $author_posts ) ); ?></span>
							</div><!-- .author-description -->
						</div><!-- .author-info -->
					</div><!-- .author-box -->
					<?php
					else :
						the_archive_title( '<h1 class="page-title">', '</h1>' );
					endif;
					?>
				</header><!-- .page-header -->
				<?php
				// Rewind the loop back to the beginning.
				rewind_posts();
				// Start the loop.
				while ( have_posts() ) : the_post();
					// Include the template for the content.
					get_template_part( 'template-parts/content' );
				endwhile;
				// Posts navigation.
				bloggo_loop_navigation();
			// If no content, include the "No posts found" template.
			else :
				get_template_part( 'template-parts/content', 'none' );
			endif;
			?>
		</main><!-- .site-main -->
	</div><!-- .content-area -->

<?php
get_sidebar();
get_footer();
