<?php
/**
 * The template for displaying comments.
 *
 * @package Bloggo
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<div id="comments" class="comments-area">
	<div class="comments-inner">
	<?php if ( have_comments() ) : ?>
		<h2 class="comments-title"><?php
			$comments_number = get_comments_number();
			if ( '1' === $comments_number ) {
				echo esc_html_x( '1 comment', 'comments title', 'bloggo' );
			} else {
				printf( esc_html( _nx( '%s comment', '%s comments', $comments_number, 'comments title', 'bloggo' ) ), number_format_i18n( $comments_number ) );
			}
		?></h2>
		<ol class="comment-list">
			<?php
			wp_list_comments( array(
				'style'       => 'ol',
				'short_ping'  => true,
				'avatar_size' => 90,
			) );
			?>
		</ol><!-- .comment-list -->
		<?php the_comments_navigation(); ?>
	<?php endif; ?>
	<?php
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'bloggo' ); ?></p>
	<?php endif; ?>
	<?php comment_form(); ?>
	</div><!-- .comments-inner -->
</div><!-- .comments-area -->
