<?php
/**
 * Jetpack compatibility file.
 *
 * @package Bloggo
 */

/**
 * Jetpack setup function.
 */
function bloggo_jetpack_setup() {
	// Add theme support for Infinite Scroll.
	add_theme_support( 'infinite-scroll', array(
		'type'      => 'click',
		'container' => 'main',
		'footer'    => false,
		'render'    => 'bloggo_infinite_scroll_render'
	) );
}
add_action( 'after_setup_theme', 'bloggo_jetpack_setup' );

/**
 * Custom render function for Infinite Scroll.
 */
function bloggo_infinite_scroll_render() {
	while ( have_posts() ) : the_post();
		if ( is_search() ) :
			get_template_part( 'template-parts/content', 'search' );
		else:
			get_template_part( 'template-parts/content' );
		endif;
	endwhile;
}

/**
 * Change "Older posts" text in infinite scroll.
 */
function bloggo_infinite_scroll_handle_text( $js_settings ) {
	$js_settings['text'] = esc_html__( 'Load more', 'bloggo' );
	return $js_settings;
}
add_filter( 'infinite_scroll_js_settings', 'bloggo_infinite_scroll_handle_text' );
