<?php
/**
 * The default template for displaying content.
 *
 * @package Bloggo
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<div class="entry-header-wrap">
			<?php
			bloggo_post_thumbnail();
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			?>
		</div><!-- .entry-header-wrap -->
		<div class="entry-meta">
			<?php
			if ( is_sticky() && is_home() && ! is_paged() )
				echo '<span class="sticky-post fa-star" aria-hidden="true"></span>';
			bloggo_posted_on();
			edit_post_link( esc_html__( 'Edit', 'bloggo' ), '<span class="edit-link">', '</span>' );
			?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->
	<div class="entry-content">
		<?php
		if ( is_search() || get_theme_mod( 'bloggo_auto_excerpt' ) ) {
			the_excerpt();
		} else {
			the_content( esc_html__( 'Read More', 'bloggo' ) );
			wp_link_pages(
				array(
					'before'      => '<p class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'bloggo' ) . '</span>',
					'after'       => '</p>',
					'link_before' => '<span class="page-link">',
					'link_after'  => '</span>'
			) );
		}
		?>
	</div><!-- .entry-content -->
	<?php bloggo_posted_in(); ?>
</article><!-- #post -->
